Page MenuHomePhabricator

Close control in MapDialog should be a Leaflet Control
Closed, ResolvedPublic

Description

It currently is a OO.ui.Button, and its position is not handled by Leaflet.

Since we added the Kartographer hook to allow map customizations, developers can easily add controls to the map.
Leaflet is not aware that there is already a close button on the topright corner of the map, so will display the new control in the most top position, and this control will overlap with the "hardcoded" OO.ui.Button.

See a screenshot of the bug (taken from the Wikivoyage prototype T132971) :

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : masterClose control in MapDialog should be a Leaflet.Control

Event Timeline

JGirault created this task.May 26 2016, 9:27 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 26 2016, 9:27 PM

Change 291110 had a related patch set uploaded (by JGirault):
Close control in MapDialog should be a Leaflet.Control

https://gerrit.wikimedia.org/r/291110

Yurik moved this task from Backlog to Needs review on the Maps-Sprint board.May 27 2016, 9:37 PM

Change 291110 merged by JGirault:
Close control in MapDialog should be a Leaflet.Control

https://gerrit.wikimedia.org/r/291110

MaxSem closed this task as Resolved.Jun 3 2016, 6:01 PM